Difference between revisions of "MediaWiki:Mobile.css"

m
(Tags: Mobile edit, Mobile web edit)
 
(91 intermediate revisions by the same user not shown)
Line 1: Line 1:
/**
 
You are editing the global CSS file for all mobile site users.
 
With Great Power Comes Great Responsibility.
 
 
Some words of caution:
 
* Avoid any changes which impact layout on a mobile device.
 
** Please be careful not to introduce any margin/padding rules. These should be done inside the template itself via an inline style.
 
** Be especially cautious when a template is likely to be used within the top 480px of the screen (the content that the user will see first on a mobile device)
 
* Do not use display:none. Instead edit the template and markup the element you want to hide with the "nomobile" class.
 
* Try to keep rules as generic and minimal as possible. Do not have 2 selectors doing the same thing. Introduce a common class and use that instead
 
* Group common CSS rules together where possible.
 
*/
 
 
 
/* Mobile template hacks (see phab T56176) If you are looking for the following, please update your template to use TemplateStyles: */
 
 
.mobile-float-reset {
 
.mobile-float-reset {
float: none !important;
+
float: center !important;
 
width: 100% !important;
 
width: 100% !important;
 
}
 
}
  
/* Стили - заглавной страницы */
 
 
@media (max-width: 719px) {
 
@media (max-width: 719px) {
 
 
.page-Заглавная_страница #content {
 
background-color:#eaecf0;
 
}
 
 
.page-Заглавная_страница .header-container.header-chrome {
 
.page-Заглавная_страница .header-container.header-chrome {
 
box-shadow:none;  
 
box-shadow:none;  
Line 31: Line 12:
 
}
 
}
  
/*
 
* Костыли-префиксы - поддержки устаревших браузеров заглавной страницей
 
* Будут переведены - TemplateStyles, см. [[phab:T162379]]
 
*/
 
 
.main-top-right > ul {
 
.main-top-right > ul {
 
display: -webkit-box;
 
display: -webkit-box;
Line 112: Line 89:
 
@media (max-width: 719px) {
 
@media (max-width: 719px) {
 
.main-wikimedia-list {
 
.main-wikimedia-list {
-webkit-column-width: 10em;
+
-webkit-column-width: 10em;
}
+
}
 
}
 
}
  
 
@media (min-width: 1000px) {
 
@media (min-width: 1000px) {
 
.main-wrapper {
 
.main-wrapper {
display: -webkit-box;
+
display: -webkit-box;
display: -webkit-flex;
+
display: -webkit-flex;
}
+
}
  
.main-wrapper-column {
+
.main-wrapper-column {
-webkit-box-flex: 1;
+
-webkit-box-flex: 1;
-webkit-flex: 1;
+
-webkit-flex: 1;
}
+
}
  
.main-top {
+
.main-top {
-webkit-box-align: center;
+
-webkit-box-align: center;
-webkit-align-items: center;
+
-webkit-align-items: center;
display: -webkit-box;
+
display: -webkit-box;
display: -webkit-flex;
+
display: -webkit-flex;
}
+
}
  
.main-top-left {
+
.main-top-left {
background-image: -webkit-linear-gradient(left, #f8f9fa 0%, #f8f9fa 70%, rgba(248, 249, 250, 0) 100%);
+
background-image: -webkit-linear-gradient(left, #f8f9fa 0%, #f8f9fa 70%, rgba(248, 249, 250, 0) 100%);
-webkit-box-flex: 3;
+
-webkit-box-flex: 3;
-webkit-flex: 3;
+
-webkit-flex: 3;
}
+
}
 
 
.main-top-right {
+
.main-top-right {
-webkit-box-flex: 2;
+
-webkit-box-flex: 2;
-webkit-flex: 2;
+
-webkit-flex: 2;
}
+
}
  
.main-top-right > ul {
+
.main-top-right > ul {
-webkit-box-align: center;
+
-webkit-box-align: center;
-webkit-align-items: center;
+
-webkit-align-items: center;
-webkit-box-orient: horizontal;
+
-webkit-box-orient: horizontal;
-webkit-box-direction: reverse;
+
-webkit-box-direction: reverse;
-webkit-flex-direction: row-reverse;
+
-webkit-flex-direction: row-reverse;
-webkit-box-pack: left;
+
-webkit-box-pack: left;
-webkit-justify-content: left;
+
-webkit-justify-content: left;
}
 
 
}
 
}
  
/* Служебные классы - показа сообщений отдельным группам пользователей */
+
 
.group-checkuser-show,
+
 
.group-bureaucrat-show,
+
a.goog-logo-link img { display: none; }
.group-sysop-show,
+
 
.group-engineer-show,
+
a.goog-logo-link { display: none; }
.group-closer-show,
+
 
.group-filemover-show,
+
#p-googletranslator-label { display: none; }
.group-editor-show,
+
 
.group-autoeditor-show,
+
#p-googletranslator.portal {
.group-user-show {
+
    height: 25px;
display: none;
+
    width: 90%;
 
}
 
}
  
/* Style for horizontal lists (separator following item).
+
select.goog-te-combo { width: 100%; }
  Adapted for the mobile version.
+
 
  @source mediawiki.org/wiki/Snippets/Horizontal_lists
+
div.skiptranslate.goog-te-gadget { font-size:0; }
  @revision 6 (2014-05-09)
+
 
  @author [[User:Edokter]]
+
td#options { display: none; }
*/
 
/* Display list items inline */
 
.mw-parser-output .hlist dd,
 
.mw-parser-output .hlist dt,
 
.mw-parser-output .hlist li {
 
    margin: 0;
 
    display: inline;
 
}
 
/* Display nested lists inline */
 
.mw-parser-output .hlist.inline,
 
.mw-parser-output .hlist.inline dl,
 
.mw-parser-output .hlist.inline ol,
 
.mw-parser-output .hlist.inline ul,
 
.mw-parser-output .hlist dl dl, .hlist dl ol, .hlist dl ul,
 
.mw-parser-output .hlist ol dl, .hlist ol ol, .hlist ol ul,
 
.mw-parser-output .hlist ul dl, .hlist ul ol, .hlist ul ul {
 
    margin: 0;
 
    display: inline;
 
}
 
/* Generate interpuncts */
 
.mw-parser-output .hlist dt:after {
 
    content: ": ";
 
}
 
.mw-parser-output .hlist dd:after,
 
.mw-parser-output .hlist li:after {
 
    content: " · ";
 
    font-weight: bold;
 
}
 
.mw-parser-output .hlist dd:last-child:after,
 
.mw-parser-output .hlist dt:last-child:after,
 
.mw-parser-output .hlist li:last-child:after {
 
    content: none;
 
}
 
/* Add parentheses around nested lists */
 
.mw-parser-output .hlist dd dd:first-child:before, .mw-parser-output .hlist dd dt:first-child:before, .mw-parser-output .hlist dd li:first-child:before,
 
.mw-parser-output .hlist dt dd:first-child:before, .mw-parser-output .hlist dt dt:first-child:before, .mw-parser-output .hlist dt li:first-child:before,
 
.mw-parser-output .hlist li dd:first-child:before, .mw-parser-output .hlist li dt:first-child:before, .mw-parser-output .hlist li li:first-child:before {
 
    content: " (";
 
    font-weight: normal;
 
}
 
.mw-parser-output .hlist dd dd:last-child:after, .mw-parser-output .hlist dd dt:last-child:after, .mw-parser-output .hlist dd li:last-child:after,
 
.mw-parser-output .hlist dt dd:last-child:after, .mw-parser-output .hlist dt dt:last-child:after, .mw-parser-output .hlist dt li:last-child:after,
 
.mw-parser-output .hlist li dd:last-child:after, .mw-parser-output .hlist li dt:last-child:after, .mw-parser-output .hlist li li:last-child:after {
 
    content: ") ";
 
    font-weight: normal;
 
}
 
/* Put ordinals in front of ordered list items */
 
.mw-parser-output .hlist ol {
 
    counter-reset: listitem;
 
}
 
.mw-parser-output .hlist ol > li {
 
    counter-increment: listitem;
 
}
 
.mw-parser-output .hlist ol > li:before {
 
    content: " " counter(listitem) " ";
 
    white-space: nowrap;
 
}
 
.mw-parser-output .hlist dd ol > li:first-child:before,
 
.mw-parser-output .hlist dt ol > li:first-child:before,
 
.mw-parser-output .hlist li ol > li:first-child:before {
 
    content: " (" counter(listitem) " ";
 
}
 
  
/* Списки без маркеров */
+
div.mw-filepage-resolutioninfo { display: none; }
.plainlist ol:not(.references),
 
.plainlist dl,
 
.plainlist ul {
 
line-height: inherit;
 
list-style: none none;
 
margin: 0;
 
padding: 0;
 
}
 
.plainlist ol:not(.references) li,
 
.plainlist dl dt,
 
.plainlist dl dd,
 
.plainlist ul li {
 
margin: 0;
 
}
 
.plainlist dl dt:after {
 
content: ": ";
 
}
 
  
/* Неразрывные пробелы в горизонтальных списках */
+
div#mw-imagepage-content.mw-content-ltr { display: none; }
.nowrap,
 
.nowraplinks a,
 
.nowraplinks .selflink,
 
.hlist-items-nowrap dd,
 
.hlist-items-nowrap dt,
 
.hlist-items-nowrap li {
 
    white-space: nowrap;
 
}
 
  
/* Но где-то неразрывность надо сбросить (например, в навшаблонах в узких местах) */
+
#mw-imagepage-nolinkstoimage { display: none; }
.wrap,
 
.wraplinks a,
 
.hlist-items-nowrap dl dl, .hlist-items-nowrap dl ol, .hlist-items-nowrap dl ul, /* Allow nested lists to wrap anyway */
 
.hlist-items-nowrap ol dl, .hlist-items-nowrap ol ol, .hlist-items-nowrap ol ul,
 
.hlist-items-nowrap ul dl, .hlist-items-nowrap ul ol, .hlist-items-nowrap ul ul {
 
    white-space: normal;
 
}
 
  
.reflist-narrow .mw-references-columns {
+
#filelinks { display: none; }
-webkit-column-width: 20em;
 
-moz-column-width: 20em;
 
column-width: 20em;
 
}
 
.reflist-wide .mw-references-columns {
 
-webkit-column-width: 40em;
 
-moz-column-width: 40em;
 
column-width: 40em;
 
}
 
  
/* Enable custom list style types */
+
#filehistory { display: none; }
.reflist ol.references {
 
list-style-type: inherit;
 
}
 
  
blockquote {
+
#metadata { display: none; }
quotes: '\00AB' '\00BB';
 
}
 
  
/* Блок ссылок - альтернативные сервисы рядом с координатами («HGЯО») */
+
#mw-imagepage-section-filehistory { display: none; }
.mw-body .geo-services {
 
font-size: 82%;
 
}
 
  
.geo-services a > span {
+
div.mw-imagepage-section-metadata { display: none; }
margin: 0.25em;
 
}
 
  
.geo-services > :first-child a > span {
+
#mw-imagepage-upload-disallowed { display: none; }
margin-left: 0.4em;
 
}
 
  
/* Временные правки стилей элементов внутри карточек */
+
ul#filetoc { display: none; }
table.infobox td p {
 
margin: 0 !important;
 
}
 
table.infobox td .NavContent {
 
margin-left: 0 !important;
 
}
 
  
/* Списки в карточках */
+
div.mediaWarning  { display: none; }
.infobox th:not(.noplainlist) > ul,
 
.infobox td:not(.noplainlist) > ul,
 
.infobox [data-wikidata-property-id] > ul {
 
list-style-type: none;
 
list-style-image: none;
 
margin: 0;
 
padding: 0;
 
}
 
.infobox .noplainlist > ul:first-child {
 
margin-top: 0;
 
}
 
.infobox th > ol,
 
.infobox td > ol,
 
.infobox [data-wikidata-property-id] > ol {
 
margin: 0;
 
}
 
.infobox th > dl,
 
.infobox td > dl,
 
.infobox [data-wikidata-property-id] > dl {
 
margin: 0;
 
}
 
.infobox.infobox li,
 
.infobox.infobox dt,
 
.infobox.infobox dd {
 
margin-bottom: 0;
 
}
 
.infobox th > ol.references,
 
.infobox td > ol.references {
 
line-height: 1.25em;
 
}
 
  
/* Таблицы наград в карточках */
+
.mw-redirectedfrom { display: none; }
.content table.infobox table {
 
margin: 0;
 
}
 
.content table.infobox table td {
 
    width: initial;
 
    padding: initial;
 
}
 
  
/* Сбрасываем неразрывность где нужно (инфобоксы, карточки, blockright) */
+
li#footer-places-privacy { display: none; }
.infobox .nowrap,
 
.infobox .nowraplinks a,
 
.infobox .nowraplinks .selflink,
 
.blockright .nowrap {
 
white-space: normal;
 
}
 
  
/* Скрытие «показать/скрыть карту» - мобильных */
+
div.last-modified-bar { display: none; }
.mw-customtoggle-maps1 {
 
display: none;
 
}
 
  
/* {{ref-info}} */
+
div#page-secondary-actions.post-content { display: none; }
.ref-info {
 
font-size: 85%;
 
cursor: help;
 
color: #72777d;
 
}
 
  
/* {{tl}} и аналоги */
+
body {  
.wp-templatelink {
+
  background: url(images/white.jpg) no-repeat center center fixed;
color: #9098a0;
+
  -webkit-background-size: cover;
 +
  -moz-background-size: cover;
 +
  -o-background-size: cover;
 +
  background-size: cover;
 
}
 
}
 +
div#mw-page-base { opacity: 0.01; }
 +
div#content.mw-body { opacity: 0.9; }
  
/* [[Википедия:Оформление таблиц]] */
+
@media (prefers-color-scheme: dark) {
.standard,
 
.wide {
 
border: 1px solid #a2a9b1;
 
border-collapse: collapse;
 
}
 
  
.standard > tr > th,
+
body {
.standard > tr > td,
+
  background: url(images/black.jpg) no-repeat center center fixed;
.standard > * > tr > th,
+
  -webkit-background-size: cover;
.standard > * > tr > td,
+
  -moz-background-size: cover;
.wide > tr > th,
+
  -o-background-size: cover;
.wide > tr > td,
+
  background-size: cover;
.wide > * > tr > th,
+
  background-color: #181818;
.wide > * > tr > td {
 
border: 1px solid #a2a9b1;
 
padding: 0.2em 0.4em;
 
 
}
 
}
  
.standard > tr > th,
+
html:not(img):not(video):not(.all-color-critical-elements) {  
.standard > * > tr > th,
+
      background: black;
.wide > tr > th,
+
      filter: invert(1) hue-rotate(180deg);
.wide > * > tr > th {
 
background-color: #eaf3ff;
 
 
}
 
}
 
+
img, form {
/* Класс - [[Ш:Работа - администратов]] и подобных
+
    filter: invert(1) hue-rotate(-180deg);
  - нормального отображения в мобильной версии */
 
.blockright {
 
width: 100%;
 
margin: 0.25em 0;
 
 
}
 
}
  
/* Стили - расширения [[mw:Extension:Babel]] (13-07-17) */
 
/* Скрытие буквы N у родных языков, по аналогии со старыми языковыми шаблонами */
 
.mw-babel-box-level-N {
 
display: none;
 
 
}
 
}

Latest revision as of 17:24, 10 January 2021

.mobile-float-reset {
	float: center !important;
	width: 100% !important;
}

@media (max-width: 719px) {
	
	.page-Заглавная_страница .header-container.header-chrome {
		box-shadow:none; 
	}
	
}

.main-top-right > ul {
	display: -webkit-box;
	display: -webkit-flex;
	-webkit-flex-wrap: wrap;
}

.main-featuredLists > .main-featuredLists-item {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	-webkit-column-break-inside: avoid;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-featuredLists-item > img {
	-webkit-box-flex: 0;
	-webkit-flex: 0 auto;
}

.main-footer {
	display: -webkit-box;
	display: -webkit-flex;
	-webkit-box-pack: end;
	-webkit-justify-content: flex-end;
}

.main-footer-actions {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

.main-footer-actions > ul {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-footer-menu {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-footer-menuToggle {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wikimedia-list {
	-webkit-column-count: 4;
	-webkit-column-width: 15em;
}

.main-wikimedia-list > .main-wikimedia-listItem {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	-webkit-column-break-inside: avoid;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wikimedia-listItem > img {
	-webkit-box-flex: 0;
	-webkit-flex: 0 auto;
}

.main-wikimedia-listItem > a {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

@media (max-width: 719px) {
	.main-wikimedia-list {
	-webkit-column-width: 10em;
}
}

@media (min-width: 1000px) {
	.main-wrapper {
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wrapper-column {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

.main-top {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-top-left {
	background-image: -webkit-linear-gradient(left, #f8f9fa 0%, #f8f9fa 70%, rgba(248, 249, 250, 0) 100%);
	-webkit-box-flex: 3;
	-webkit-flex: 3;
}
	
.main-top-right {
	-webkit-box-flex: 2;
	-webkit-flex: 2;
}

.main-top-right > ul {
	-webkit-box-align: center;
	-webkit-align-items: center;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: reverse;
	-webkit-flex-direction: row-reverse;
	-webkit-box-pack: left;
	-webkit-justify-content: left;
}



a.goog-logo-link img { display: none; }

a.goog-logo-link { display: none; }

#p-googletranslator-label { display: none; }

#p-googletranslator.portal {
    height: 25px;
    width: 90%;
}

select.goog-te-combo { width: 100%; }

div.skiptranslate.goog-te-gadget { font-size:0; }

td#options { display: none; }

div.mw-filepage-resolutioninfo { display: none; }

div#mw-imagepage-content.mw-content-ltr { display: none; }

#mw-imagepage-nolinkstoimage { display: none; }

#filelinks { display: none; }

#filehistory { display: none; }

#metadata { display: none; }

#mw-imagepage-section-filehistory { display: none; }

div.mw-imagepage-section-metadata { display: none; }

#mw-imagepage-upload-disallowed { display: none; }

ul#filetoc { display: none; }

div.mediaWarning  { display: none; }

.mw-redirectedfrom { display: none; }

li#footer-places-privacy { display: none; }

div.last-modified-bar { display: none; }

div#page-secondary-actions.post-content { display: none; }

body { 
  background: url(images/white.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
div#mw-page-base { opacity: 0.01; }
div#content.mw-body { opacity: 0.9; }

@media (prefers-color-scheme: dark) {

body { 
  background: url(images/black.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-color: #181818;
}

html:not(img):not(video):not(.all-color-critical-elements) { 
       background: black;
       filter: invert(1) hue-rotate(180deg);
}
img, form {
    filter: invert(1) hue-rotate(-180deg);
}

}